websocket-sharp : WebSocketSharp.Server Namespace

# ServiceManager Class

Documentation for this section has not yet been entered.

## Syntax

public class ServiceManager

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: WebSocketSharp.Server
Assembly: websocket-sharp (in websocket-sharp.dll)

## Members

See Also: Inherited members from object.

## Public Constructors

| ServiceManager () | Documentation for this section has not yet been entered.

## Public Properties

[read-only] | Count | int . Documentation for this section has not yet been entered.
[read-only] | Path | IEnumerable<string> . Documentation for this section has not yet been entered.
[read-only] | ServiceHost | IEnumerable<IServiceHost> . Documentation for this section has not yet been entered.
| Sweeped | bool . Documentation for this section has not yet been entered.

## Public Methods

| Add (string, IServiceHost) Documentation for this section has not yet been entered.
| Broadcast (string) Documentation for this section has not yet been entered.
| Stop () Documentation for this section has not yet been entered.
| TryGetServiceHost (string, out IServiceHost) : bool Documentation for this section has not yet been entered.

## Extension Methods

static | IsNull<T> (this T) : bool Determines whether the specified object is `null`.
static | IsNullDo<T> (this T, Action) : bool Determines whether the specified object is `null`. And invokes the specified Action delegate if the specified object is `null`.

## Member Details

### ServiceManager Constructor

> Documentation for this section has not yet been entered.

> ## Syntax

> public ServiceManager ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Add Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Add (string absPath, IServiceHost svcHost)

> #### Parameters

> > absPath
> >   Documentation for this section has not yet been entered.
> > svcHost
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Broadcast Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Broadcast (string data)

> #### Parameters

> > data
> >   Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Count Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public int Count { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Path Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerable<string> Path { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### ServiceHost Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public IEnumerable<IServiceHost> ServiceHost { get; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Stop Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public void Stop ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### Sweeped Property

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool Sweeped { get; set; }

> #### Value

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)

### TryGetServiceHost Method

> Documentation for this section has not yet been entered.

> ## Syntax

> public bool TryGetServiceHost (string absPath, out IServiceHost svcHost)

> #### Parameters

> > absPath
> >   Documentation for this section has not yet been entered.
> > svcHost
> >   Documentation for this section has not yet been entered.

> #### Returns

> > Documentation for this section has not yet been entered.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: WebSocketSharp.Server
> Assembly: websocket-sharp (in websocket-sharp.dll)